<div class="menu-title">
    <h1>Canvas Demo</h1>
</div>

<div class="home-body">
    <div class="home-navigation">
        <a class="home-navigation-links" [class.selected]="panel==='draw'" (click)="panel='draw'">Draw Color</a>
        <a class="home-navigation-links" [class.selected]="panel==='image'" (click)="panel='image'">Draw Image</a>
        <a class="home-navigation-links" [class.selected]="panel==='colorRgb'" (click)="panel='colorRgb'">Image Colors RGB</a>
        <a class="home-navigation-links" [class.selected]="panel==='colorHsv'" (click)="panel='colorHsv'">Image Colors HSV</a>
    </div>
    <div class="canvas-wrapper">
        <app-canvas-draw *ngIf="panel==='draw'"></app-canvas-draw>
        <app-canvas-draw-image *ngIf="panel==='image'"></app-canvas-draw-image>
        <app-canvas-image-manipulation *ngIf="panel==='colorRgb'"></app-canvas-image-manipulation>
<app-canvas-image-manipulation2 *ngIf="panel==='colorHsv'"></app-canvas-image-manipulation2>
</div>
</div>